Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1911)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1931)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename multigrid into multigrid_noopt and multigrid_fast into multigrid
 !
 ! Former revisions:
@@ -225,6 +225,5 @@
     INTEGER(iwp) ::  cyn     !< index for north canyon wall
     INTEGER(iwp) ::  cys     !< index for south canyon wall
-    INTEGER(iwp) ::  gls     !< number of lateral ghost points at total model
-                             !< domain boundaries required for multigrid solver
+    INTEGER(iwp) ::  gls     !< number of lateral ghost points at total model domain boundaries required for multigrid solver
     INTEGER(iwp) ::  i       !< index variable along x
     INTEGER(iwp) ::  ii      !< loop variable for reading topography file
@@ -242,16 +241,11 @@
 
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::                               &
-                     vertical_influence  !< number of vertical grid points above
-                                         !< obstacle where adjustment of near-
-                                         !< wall mixing length is required
+                     vertical_influence  !< number of vertical grid points above obstacle where adjustment of near-wall mixing length is required
                                          
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nl  !< index of
-                                         !< north-left corner location to limit 
-                                         !< near-wall mixing length
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nl  !< index of north-left corner location to limit near-wall mixing length
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_nr  !< north-right
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sl  !< south-left
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  corner_sr  !< south-right
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_l     !< distance to 
-                                                             !< adjacent left-facing 
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_l     !< distance to adjacent left-facing 
                                                              !< wall
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  wall_n     !< north-facing
@@ -260,7 +254,5 @@
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_local  !< index for topography
                                                              !< top at cell-center
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_tmp    !< dummy to calculate
-                                                             !< topography indices
-                                                             !< on u- and v-grid
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  nzb_tmp    !< dummy to calculate topography indices on u- and v-grid
 
     LOGICAL  :: flag_set = .FALSE.  !< steering variable for advection flags
@@ -270,6 +262,5 @@
     REAL(wp) ::  dz_stretched  !< stretched vertical grid spacing
 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  topo_height  !< input variable for 
-                                                           !< topography height
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  topo_height  !< input variable for topography height
 
     
@@ -1138,6 +1129,8 @@
 
 !
-!-- Calculate wall flag arrays for the multigrid method
-    IF ( psolver(1:9) == 'multigrid' )  THEN
+!-- Calculate wall flag arrays for the multigrid method.
+!-- Please note, wall flags are only applied in the not cache-optimized 
+!-- version.
+    IF ( psolver == 'multigrid_noopt' )  THEN
 !
 !--    Gridpoint increment of the current level
@@ -1193,5 +1186,5 @@
 !--       In case of masking method, flags are not set and multigrid method
 !--       works like FFT-solver
-          IF ( psolver == 'multigrid' .AND. .NOT. masking_method )  THEN
+          IF ( .NOT. masking_method )  THEN
 
              DO  i = nxl_l-1, nxr_l+1
